"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
Object.defineProperty(exports, "__esModule", { value: true });
var react_1 = require("react");
var Button_1 = require("react-bootstrap/Button");
var react_fontawesome_1 = require("@fortawesome/react-fontawesome");
var free_solid_svg_icons_1 = require("@fortawesome/free-solid-svg-icons");
var core_1 = require("@reactionable/core");
var Confirmation_1 = require("../../confirmation/Confirmation");
var Notification_1 = require("../../notification/Notification");
var Loader_1 = require("../../loader/Loader");
;
exports.Delete = function (_a) {
    var title = _a.title, label = _a.label, props = __rest(_a, ["title", "label"]);
    return react_1.default.createElement(core_1.Delete, __assign({ confirmationTitle: title, confirmation: Confirmation_1.Confirmation, successNotification: Notification_1.useSuccessNotification(title), errorNotification: Notification_1.useErrorNotification(), loader: Loader_1.useLoader() }, props),
        react_1.default.createElement(Button_1.default, { variant: "danger", title: title || '' },
            react_1.default.createElement(react_fontawesome_1.FontAwesomeIcon, { icon: free_solid_svg_icons_1.faTrashAlt }),
            label));
};
//# sourceMappingURL=Delete.js.map