import React, { ReactElement } from 'react';
import { IListProps as ICoreListProps } from '@reactionable/core';
export interface IListProps<Data> extends Omit<ICoreListProps<Data>, 'render' | 'LoaderComponent' | 'ErrorAlertComponent'> {
    head: Array<ReactElement>;
    render: (item: Data) => ReactElement;
}
export declare type ListComponent<Data = any> = React.FC<IListProps<Data>>;
export declare const List: ListComponent;
