"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
Object.defineProperty(exports, "__esModule", { value: true });
var react_1 = require("react");
var react_i18next_1 = require("react-i18next");
var Table_1 = require("react-bootstrap/Table");
var core_1 = require("@reactionable/core");
var Loader_1 = require("../../loader/Loader");
var ErrorAlert_1 = require("../../error-alert/ErrorAlert");
;
exports.List = function (_a) {
    var head = _a.head, render = _a.render, props = __rest(_a, ["head", "render"]);
    var t = react_i18next_1.useTranslation().t;
    return react_1.default.createElement(core_1.List, __assign({}, props, { LoaderComponent: Loader_1.Loader, ErrorAlertComponent: ErrorAlert_1.ErrorAlert, render: function (data) { return react_1.default.createElement(Table_1.default, { striped: true, bordered: true, hover: true, responsive: true },
            react_1.default.createElement("thead", null,
                react_1.default.createElement("tr", null, head.map(function (item) { return 'string' === typeof item ? react_1.default.createElement("th", { key: item }, t(item)) : item; }))),
            react_1.default.createElement("tbody", null, data.map(function (item) { return render(item); }))); } }));
};
//# sourceMappingURL=List.js.map