"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __generator = (this && this.__generator) || function (thisArg, body) {
    var _ = { label: 0, sent: function() { if (t[0] & 1) throw t[1]; return t[1]; }, trys: [], ops: [] }, f, y, t, g;
    return g = { next: verb(0), "throw": verb(1), "return": verb(2) }, typeof Symbol === "function" && (g[Symbol.iterator] = function() { return this; }), g;
    function verb(n) { return function (v) { return step([n, v]); }; }
    function step(op) {
        if (f) throw new TypeError("Generator is already executing.");
        while (_) try {
            if (f = 1, y && (t = op[0] & 2 ? y["return"] : op[0] ? y["throw"] || ((t = y["return"]) && t.call(y), 0) : y.next) && !(t = t.call(y, op[1])).done) return t;
            if (y = 0, t) op = [op[0] & 2, t.value];
            switch (op[0]) {
                case 0: case 1: t = op; break;
                case 4: _.label++; return { value: op[1], done: false };
                case 5: _.label++; y = op[1]; op = [0]; continue;
                case 7: op = _.ops.pop(); _.trys.pop(); continue;
                default:
                    if (!(t = _.trys, t = t.length > 0 && t[t.length - 1]) && (op[0] === 6 || op[0] === 2)) { _ = 0; continue; }
                    if (op[0] === 3 && (!t || (op[1] > t[0] && op[1] < t[3]))) { _.label = op[1]; break; }
                    if (op[0] === 6 && _.label < t[1]) { _.label = t[1]; t = op; break; }
                    if (t && _.label < t[2]) { _.label = t[2]; _.ops.push(op); break; }
                    if (t[2]) _.ops.pop();
                    _.trys.pop(); continue;
            }
            op = body.call(thisArg, _);
        } catch (e) { op = [6, e]; y = 0; } finally { f = t = 0; }
        if (op[0] & 5) throw op[1]; return { value: op[0] ? op[1] : void 0, done: true };
    }
};
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
var __read = (this && this.__read) || function (o, n) {
    var m = typeof Symbol === "function" && o[Symbol.iterator];
    if (!m) return o;
    var i = m.call(o), r, ar = [], e;
    try {
        while ((n === void 0 || n-- > 0) && !(r = i.next()).done) ar.push(r.value);
    }
    catch (error) { e = { error: error }; }
    finally {
        try {
            if (r && !r.done && (m = i["return"])) m.call(i);
        }
        finally { if (e) throw e.error; }
    }
    return ar;
};
Object.defineProperty(exports, "__esModule", { value: true });
var react_1 = require("react");
var Modal_1 = require("react-bootstrap/Modal");
var Button_1 = require("react-bootstrap/Button");
var react_i18next_1 = require("react-i18next");
var Form_1 = require("../form/Form");
;
exports.ModalForm = function (_a) {
    var title = _a.title, submitButton = _a.submitButton, _b = _a.show, show = _b === void 0 ? true : _b, render = _a.render, onSubmit = _a.onSubmit, props = __rest(_a, ["title", "submitButton", "show", "render", "onSubmit"]);
    var t = react_i18next_1.useTranslation().t;
    var renderForm = function (formikBag, isLoading) {
        var onCancel = function () {
            if (props.onHide) {
                props.onHide();
            }
        };
        return react_1.default.createElement(react_1.default.Fragment, null,
            react_1.default.createElement(Modal_1.default.Body, null, render(formikBag, isLoading)),
            react_1.default.createElement(Modal_1.default.Footer, null,
                react_1.default.createElement(Button_1.default, { disabled: isLoading, type: "submit", variant: "primary" }, submitButton),
                react_1.default.createElement(Button_1.default, { disabled: isLoading, onClick: onCancel, variant: "secondary" }, t('Cancel'))));
    };
    var modalFormOnSumbit = function (values, actions) { return __awaiter(void 0, void 0, void 0, function () {
        var result;
        return __generator(this, function (_a) {
            switch (_a.label) {
                case 0: return [4 /*yield*/, onSubmit(values, actions)];
                case 1:
                    result = _a.sent();
                    if (props.onHide) {
                        props.onHide();
                    }
                    return [2 /*return*/, result];
            }
        });
    }); };
    return show ? react_1.default.createElement(Modal_1.default, { centered: true, show: true, onHide: props.onHide, backdrop: "static", dialogClassName: "modal-lg" },
        react_1.default.createElement(Modal_1.default.Header, { closeButton: true },
            react_1.default.createElement(Modal_1.default.Title, null, title)),
        react_1.default.createElement(Form_1.Form, __assign({}, props, { title: title, render: renderForm, onSubmit: modalFormOnSumbit }))) : react_1.default.createElement(react_1.default.Fragment, null);
};
exports.useModalForm = function (props) {
    var _a = __read(react_1.useState('boolean' === typeof props ? props : props.show), 2), show = _a[0], setShow = _a[1];
    return {
        show: show,
        modal: 'boolean' === typeof props
            ? undefined
            : react_1.default.createElement(exports.ModalForm, __assign({}, props, { show: show })),
        openModalForm: function () { setShow(true); },
        closeModalForm: function () { setShow(false); },
    };
};
//# sourceMappingURL=ModalForm.js.map