"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
Object.defineProperty(exports, "__esModule", { value: true });
var react_1 = require("react");
var Spinner_1 = require("react-bootstrap/Spinner");
var react_i18next_1 = require("react-i18next");
var core_1 = require("@reactionable/core");
require("./Loader.scss");
exports.Loader = function (_a) {
    var _b = _a.overlay, overlay = _b === void 0 ? true : _b;
    var t = react_i18next_1.useTranslation().t;
    var spinnerElement = react_1.default.createElement(Spinner_1.default, { animation: "grow", role: "status", variant: "primary" },
        react_1.default.createElement("span", { className: "sr-only" }, t('Loading')));
    if (!overlay) {
        return spinnerElement;
    }
    return react_1.default.createElement("div", { className: "spinner--overlay" }, spinnerElement);
};
exports.useLoader = function (props) {
    if (props === void 0) { props = {}; }
    return core_1.useLoader(__assign(__assign({}, props), { Component: exports.Loader }));
};
//# sourceMappingURL=Loader.js.map