import React from 'react';
import { IFormProps } from '../form/Form';
interface IModalFormProps<Values, Data> extends IFormProps<Values, Data> {
    title: string;
    show?: boolean;
    submitButton: string;
    onHide?: () => void;
}
export declare type ModalFormComponent<Values = any, Data = any> = React.FC<IModalFormProps<Values, Data>>;
export declare const ModalForm: ModalFormComponent;
export declare const useModalForm: (props: boolean | IModalFormProps<any, any>) => {
    show: boolean | undefined;
    modal: JSX.Element | undefined;
    openModalForm: () => void;
    closeModalForm: () => void;
};
export {};
